<template>
  <v-btn
    class="ml-3 mr-4"
    elevation="1"
    fab
    small
    @click="onClickToggle"
  >
    <v-icon>
      {{ mini ? 'mdi-format-list-bulleted' : 'mdi-dots-vertical' }}
    </v-icon>
  </v-btn>
</template>

<script>
  import {
    setUserPreferences,
    getUserPreferences,
  } from '@/services/local-storage'
  import { get } from 'vuex-pathify'

  export default {
    name: 'DefaultDrawerToggle',
    computed: {
      ...get('app', [
        'mini',
      ]),
    },
    created () {
      const userPreferences = getUserPreferences()
      if (userPreferences) {
        this.$store.set('app/mini', userPreferences.mini)
      }
    },
    methods: {
      onClickToggle () {
        const mini = !this.mini
        this.$store.set('app/mini', mini)
        setUserPreferences({ mini })
      },
    },
  }
</script>
